build_image:
  image: docker:git
  services:
  - docker:dind
  script:
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
    - docker build -t registry.gitlab.com/elsmmtaa_repos/virtualmachines/kitkat540x960x16 .
    - docker push registry.gitlab.com/elsmmtaa_repos/virtualmachines/kitkat540x960x16:latest
  only:
    - master
